Apache Tomcat 7.0.42

## org.apache.catalina.startup
Class CatalinaProperties

    java.lang.Object
      org.apache.catalina.startup.CatalinaProperties

    public class CatalinaProperties

extends Object

Utility class to read the bootstrap Catalina configuration.

Version:
  $Id: CatalinaProperties.java 1364150 2012-07-21 18:57:54Z markt $
Author:
  Remy Maucherat

Constructor Summary
`CatalinaProperties()`

Method Summary
`static String` `getProperty(String name)` Return specified property value.
`static String` `getProperty(String name, String defaultValue)` Deprecated. Unused - will be removed in 8.0.x

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalinaProperties

    public CatalinaProperties()

Method Detail

### getProperty

    public static String getProperty(String name)

  Return specified property value.

### getProperty

    @Deprecated
    public static String getProperty(String name,
                                                String defaultValue)

  Deprecated. Unused - will be removed in 8.0.x

  Return specified property value.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.